App\Library\Amazon\Classes\FashionOther\VariationDataAType:
    properties:
        parentage:
            expose: true
            access_type: public_method
            serialized_name: Parentage
            accessor:
                getter: getParentage
                setter: setParentage
            type: string
        variationTheme:
            expose: true
            access_type: public_method
            serialized_name: VariationTheme
            accessor:
                getter: getVariationTheme
                setter: setVariationTheme
            type: string
        length:
            expose: true
            access_type: public_method
            serialized_name: Length
            accessor:
                getter: getLength
                setter: setLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        metalType:
            expose: true
            access_type: public_method
            serialized_name: MetalType
            accessor:
                getter: getMetalType
                setter: setMetalType
            type: string
